|  |  |  |  | ## TANGO Device Server

# TANGO Device Server for testing generic clients
User's Guide
TangoTest Class

Revision: - Author: taurel
Implemented in C++ - CVS repository: tango-cs

## Introduction:

A device to test generic clients. It offers a "echo" like command for each TANGO data type (i.e. each command returns an exact copy of ).

## Class Identification:

- Contact : at soleil.fr - nl
- Class Family : Training
- Platform : All Platforms
- Bus : Not Applicable
- Manufacturer : Tango
- Reference : TangoTest Device

## Class Inheritance:

- Tango::Device_4Impl

- TangoTest

## Description:

- Device description.
- Properties description
- States description
- Commands description
- Attributes description

## Conclusion:

The device server is ready for distribution application programmers.
The author will be interested in any feedback which arise from their usage of this device server.

TANGO is an open source project hosted by : | Core and Tools : CVS repository on tango-cs project Device Servers : CVS repository on tango-ds project